Bug 991073 - [abrt] emacs-24.3-9.fc19: terminate_due_to_signal: Process /usr/bin/emacs-24.3 was killed by signal 6 (SIGABRT)
[abrt] emacs-24.3-9.fc19: terminate_due_to_signal: Process /usr/bin/emacs-24....
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
abrt_hash:6844a89386df4b8e6af4bc784cf...
:
: 1018047 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 10:08 EDT by Josep
Modified: 2014-12-12 01:31 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-28 08:24:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (140.43 KB, text/plain)
2013-08-01 10:08 EDT, Josep
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-01 10:08 EDT, Josep
no flags Details
File: core_backtrace (50.50 KB, text/plain)
2013-08-01 10:09 EDT, Josep
no flags Details
File: dso_list (9.23 KB, text/plain)
2013-08-01 10:09 EDT, Josep
no flags Details
File: environ (2.87 KB, text/plain)
2013-08-01 10:09 EDT, Josep
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-01 10:09 EDT, Josep
no flags Details
File: maps (44.26 KB, text/plain)
2013-08-01 10:10 EDT, Josep
no flags Details
File: open_fds (138 bytes, text/plain)
2013-08-01 10:10 EDT, Josep
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-08-01 10:10 EDT, Josep
no flags Details
File: var_log_messages (230 bytes, text/plain)
2013-08-01 10:10 EDT, Josep
no flags Details

  None (edit)
Description Josep 2013-08-01 10:08:00 EDT
Description of problem:
I was writing some c code when I noticed emacs started to indent a new function wrongly (i.e. not from column 0), although all previous code was correct and was not missing any closing bracket or parentheses. I manually removed the indentation, at which point emacs stop responding.
I finally killed the process it with a TERM signal, then I got a core dump.

Version-Release number of selected component:
emacs-24.3-9.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        emacs -nw linx_test.c
crash_function: terminate_due_to_signal
executable:     /usr/bin/emacs-24.3
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            3836
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 terminate_due_to_signal at /usr/src/debug/emacs-24.3/src/emacs.c:344
 #2 emacs_abort at /usr/src/debug/emacs-24.3/src/sysdep.c:2152
 #3 Fsignal at /usr/src/debug/emacs-24.3/src/eval.c:1466
 #4 xsignal at /usr/src/debug/emacs-24.3/src/eval.c:1562
 #5 xsignal2 at /usr/src/debug/emacs-24.3/src/eval.c:1583
 #6 args_out_of_range at /usr/src/debug/emacs-24.3/src/data.c:110
 #7 interval_of at /usr/src/debug/emacs-24.3/src/textprop.c:524
 #8 update_syntax_table at /usr/src/debug/emacs-24.3/src/syntax.c:198
 #9 re_search_2 at /usr/src/debug/emacs-24.3/src/regex.c:4334
 #10 re_search at /usr/src/debug/emacs-24.3/src/regex.c:4239
Comment 1 Josep 2013-08-01 10:08:19 EDT
Created attachment 781611 [details]
File: backtrace
Comment 2 Josep 2013-08-01 10:08:22 EDT
Created attachment 781612 [details]
File: cgroup
Comment 3 Josep 2013-08-01 10:09:27 EDT
Created attachment 781613 [details]
File: core_backtrace
Comment 4 Josep 2013-08-01 10:09:30 EDT
Created attachment 781614 [details]
File: dso_list
Comment 5 Josep 2013-08-01 10:09:42 EDT
Created attachment 781617 [details]
File: environ
Comment 6 Josep 2013-08-01 10:09:49 EDT
Created attachment 781618 [details]
File: limits
Comment 7 Josep 2013-08-01 10:10:01 EDT
Created attachment 781620 [details]
File: maps
Comment 8 Josep 2013-08-01 10:10:15 EDT
Created attachment 781621 [details]
File: open_fds
Comment 9 Josep 2013-08-01 10:10:22 EDT
Created attachment 781622 [details]
File: proc_pid_status
Comment 10 Josep 2013-08-01 10:10:25 EDT
Created attachment 781623 [details]
File: var_log_messages
Comment 11 Robin Lee 2013-09-27 01:41:20 EDT
killed the 'emacs --daemon'

reporter:       libreport-2.1.7
backtrace_rating: 3
cmdline:        emacs --daemon
crash_function: terminate_due_to_signal
executable:     /usr/bin/emacs-24.3
kernel:         3.10.11-200.fc19.x86_64
package:        emacs-24.3-11.fc19
reason:         Process /usr/bin/emacs-24.3 was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Jean-Loup Tastet 2013-12-13 18:04:58 EST
The bug occured while using the ESS version 12.09 major mode (with R version 3.0.2). It does not happen when using R from the terminal.
Exact version of Emacs : GNU Emacs 24.3.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.8.2) of 2013-08-14 on buildvm-15.phx2.fedoraproject.org

Abstract : typing M-p when prompted by '+' to complete a command line in ESS makes Emacs freeze.
It is fully reproductible and deterministic on my system.

Steps to reproduce :
	1) Open Emacs.
	2) Type M-x, then enter R in the prompt and finally hit 'return' (you may need to hit 'return' a second time).
	3) Begin to type an uncomplete command, and hit 'return'. ESS then displays a '+' symbol instead of '>' to ask you to complete it (as expected).
	4) Type M-p (which usually recalls the previous command).
	5) Emacs freezes and consumes 100% CPU power.
	
Minimal example to reproduce the bug :
> w +	(return)
+		(hit M-p here)

Problematic and more realistic example :
Assume you have already defined a function foo that take an argument x and computes a long expression, and which has been defined using several lines, e.g.
> foo <- function(x) {
+ x^5 - x^4 + x^3 - x^2 + x - 1
+ }
This works as expected. Now you want to modify foo, so that it returns the same expression without the -1 at the end. Naturally, you hit M-p three times to recall the first line of the function, then hit 'return', because you don't want to write the long expression again. The prompt now looks like :
> foo <- function(x) {
+ 
Then you want to recall the second line of the function to remove the -1 at the end. You type M-p.
On my system, Emacs freezes instantly, every time I do this. It becomes completely unresponsive and I cannot switc between windows.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        emacs
crash_function: terminate_due_to_signal
executable:     /usr/bin/emacs-24.3
kernel:         3.11.10-200.fc19.x86_64
package:        emacs-24.3-11.fc19
reason:         Process /usr/bin/emacs-24.3 was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 grisetti 2014-01-10 03:25:08 EST
Another user experienced a similar problem:

Saving cron.daily file in emacs.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        emacs /etc/cron.daily/rkhunter.sh
crash_function: terminate_due_to_signal
executable:     /usr/bin/emacs-24.3
kernel:         3.12.6-200.fc19.x86_64
package:        emacs-24.3-11.fc19
reason:         emacs-24.3 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            0
Comment 14 p.giarrusso+redhatbugzilla 2014-03-11 07:37:17 EDT
FYI, I've just gotten the same stacktrace on OS X - I've found this bug by looking for update_syntax_table emacs crash, also on Emacs 24.3.1. I'm attaching the stacktrace, but my main point is that the bug should be reported upstream.

Process:         Emacs-10.7 [59017]
Path:            /Applications/Emacs.app/Contents/MacOS/Emacs-10.7
Identifier:      org.gnu.Emacs
Version:         Version 24.3 (9.0)
Code Type:       X86-64 (Native)
Parent Process:  launchd [263]
Responsible:     Emacs-10.7 [59017]
User ID:         502

Date/Time:       2014-03-11 12:27:04.981 +0100
OS Version:      Mac OS X 10.9.2 (13C64)
Report Version:  11
Anonymous UUID:  266021BC-E616-1963-06FF-F0939DA6C9EE

Sleep/Wake UUID: 5BB0448E-1DD5-49FE-8DDA-C14C59313C46

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGABRT)
Exception Codes: EXC_I386_GPFLT

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff8e361292 __kill + 10
1   Emacs-10.7                    	0x000000010009da59 terminate_due_to_signal + 153
2   Emacs-10.7                    	0x00000001000ba463 emacs_abort + 19
3   Emacs-10.7                    	0x000000010011660b Fsignal + 1355
4   Emacs-10.7                    	0x0000000100119579 xsignal + 9
5   Emacs-10.7                    	0x0000000100119672 xsignal2 + 34
6   Emacs-10.7                    	0x00000001001063b9 args_out_of_range + 25
7   Emacs-10.7                    	0x0000000100168d85 interval_of + 373
8   Emacs-10.7                    	0x0000000100143189 update_syntax_table + 73
9   Emacs-10.7                    	0x00000001000f0fa6 re_search_2 + 1462
10  Emacs-10.7                    	0x00000001000f176e re_search + 46
11  Emacs-10.7                    	0x00000001000e9d10 fast_string_match + 96
12  Emacs-10.7                    	0x00000001000d1d43 Ffind_file_name_handler + 211
13  Emacs-10.7                    	0x00000001000d23d5 Fexpand_file_name + 229
14  Emacs-10.7                    	0x00000001000d8d10 Fdo_auto_save + 400
15  Emacs-10.7                    	0x000000010009e095 shut_down_emacs + 261
16  Emacs-10.7                    	0x000000010009da1b terminate_due_to_signal + 91
17  Emacs-10.7                    	0x00000001000ba956 deliver_fatal_thread_signal + 134
18  libsystem_platform.dylib      	0x00007fff8c89a5aa _sigtramp + 26
19  Emacs-10.7                    	0x00000001000f97b0 mark_object + 1392
20  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
21  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
22  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
23  Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
24  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
25  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
26  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
27  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
28  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
29  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
30  Emacs-10.7                    	0x00000001000f967f mark_object + 1087
31  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
32  Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
33  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
34  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
35  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
36  Emacs-10.7                    	0x00000001000f967f mark_object + 1087
37  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
38  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
39  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
40  Emacs-10.7                    	0x00000001000f967f mark_object + 1087
41  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
42  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
43  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
44  Emacs-10.7                    	0x00000001000f967f mark_object + 1087
45  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
46  Emacs-10.7                    	0x00000001000f967f mark_object + 1087
47  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
48  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
49  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
50  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
51  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
52  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
53  Emacs-10.7                    	0x00000001000f967f mark_object + 1087
54  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
55  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
56  Emacs-10.7                    	0x00000001000f967f mark_object + 1087
57  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
58  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
59  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
60  Emacs-10.7                    	0x00000001000f967f mark_object + 1087
61  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
62  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
63  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
64  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
65  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
66  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
67  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
68  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
69  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
70  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
71  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
72  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
73  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
74  Emacs-10.7                    	0x00000001000f967f mark_object + 1087
75  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
76  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
77  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
78  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
79  Emacs-10.7                    	0x00000001000f967f mark_object + 1087
80  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
81  Emacs-10.7                    	0x00000001000f92c0 mark_object + 128
82  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
83  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
84  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
85  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
86  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
87  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
88  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
89  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
90  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
91  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
92  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
93  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
94  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
95  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
96  Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
97  Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
98  Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
99  Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
100 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
101 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
102 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
103 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
104 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
105 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
106 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
107 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
108 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
109 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
110 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
111 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
112 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
113 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
114 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
115 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
116 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
117 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
118 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
119 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
120 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
121 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
122 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
123 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
124 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
125 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
126 Emacs-10.7                    	0x00000001000f973e mark_object + 1278
127 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
128 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
129 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
130 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
131 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
132 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
133 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
134 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
135 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
136 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
137 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
138 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
139 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
140 Emacs-10.7                    	0x00000001000f92c0 mark_object + 128
141 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
142 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
143 Emacs-10.7                    	0x00000001000f92c0 mark_object + 128
144 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
145 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
146 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
147 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
148 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
149 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
150 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
151 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
152 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
153 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
154 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
155 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
156 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
157 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
158 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
159 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
160 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
161 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
162 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
163 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
164 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
165 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
166 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
167 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
168 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
169 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
170 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
171 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
172 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
173 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
174 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
175 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
176 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
177 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
178 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
179 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
180 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
181 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
182 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
183 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
184 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
185 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
186 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
187 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
188 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
189 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
190 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
191 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
192 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
193 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
194 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
195 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
196 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
197 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
198 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
199 Emacs-10.7                    	0x00000001000f92c0 mark_object + 128
200 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
201 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
202 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
203 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
204 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
205 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
206 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
207 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
208 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
209 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
210 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
211 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
212 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
213 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
214 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
215 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
216 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
217 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
218 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
219 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
220 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
221 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
222 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
223 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
224 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
225 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
226 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
227 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
228 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
229 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
230 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
231 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
232 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
233 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
234 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
235 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
236 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
237 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
238 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
239 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
240 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
241 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
242 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
243 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
244 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
245 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
246 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
247 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
248 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
249 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
250 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
251 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
252 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
253 Emacs-10.7                    	0x00000001000f92c0 mark_object + 128
254 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
255 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
256 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
257 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
258 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
259 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
260 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
261 Emacs-10.7                    	0x00000001000f92c0 mark_object + 128
262 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
263 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
264 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
265 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
266 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
267 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
268 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
269 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
270 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
271 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
272 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
273 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
274 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
275 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
276 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
277 Emacs-10.7                    	0x00000001000f92c0 mark_object + 128
278 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
279 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
280 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
281 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
282 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
283 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
284 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
285 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
286 Emacs-10.7                    	0x00000001000f92c0 mark_object + 128
287 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
288 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
289 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
290 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
291 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
292 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
293 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
294 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
295 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
296 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
297 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
298 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
299 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
300 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
301 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
302 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
303 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
304 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
305 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
306 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
307 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
308 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
309 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
310 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
311 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
312 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
313 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
314 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
315 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
316 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
317 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
318 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
319 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
320 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
321 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
322 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
323 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
324 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
325 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
326 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
327 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
328 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
329 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
330 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
331 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
332 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
333 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
334 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
335 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
336 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
337 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
338 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
339 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
340 Emacs-10.7                    	0x00000001000f973e mark_object + 1278
341 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
342 Emacs-10.7                    	0x00000001000f973e mark_object + 1278
343 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
344 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
345 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
346 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
347 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
348 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
349 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
350 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
351 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
352 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
353 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
354 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
355 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
356 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
357 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
358 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
359 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
360 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
361 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
362 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
363 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
364 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
365 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
366 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
367 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
368 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
369 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
370 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
371 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
372 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
373 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
374 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
375 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
376 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
377 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
378 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
379 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
380 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
381 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
382 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
383 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
384 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
385 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
386 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
387 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
388 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
389 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
390 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
391 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
392 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
393 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
394 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
395 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
396 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
397 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
398 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
399 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
400 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
401 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
402 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
403 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
404 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
405 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
406 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
407 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
408 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
409 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
410 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
411 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
412 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
413 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
414 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
415 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
416 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
417 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
418 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
419 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
420 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
421 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
422 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
423 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
424 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
425 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
426 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
427 Emacs-10.7                    	0x00000001000f92c0 mark_object + 128
428 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
429 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
430 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
431 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
432 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
433 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
434 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
435 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
436 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
437 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
438 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
439 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
440 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
441 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
442 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
443 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
444 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
445 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
446 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
447 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
448 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
449 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
450 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
451 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
452 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
453 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
454 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
455 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
456 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
457 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
458 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
459 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
460 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
461 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
462 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
463 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
464 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
465 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
466 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
467 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
468 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
469 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
470 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
471 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
472 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
473 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
474 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
475 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
476 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
477 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
478 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
479 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
480 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
481 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
482 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
483 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
484 Emacs-10.7                    	0x00000001000f9a59 mark_buffer + 105
485 Emacs-10.7                    	0x00000001000f9735 mark_object + 1269
486 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
487 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
488 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
489 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
490 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
491 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
492 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
493 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
494 Emacs-10.7                    	0x00000001000f967f mark_object + 1087
495 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
496 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
497 Emacs-10.7                    	0x00000001000f98f3 mark_object + 1715
498 Emacs-10.7                    	0x00000001000f9752 mark_object + 1298
499 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
500 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
501 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
502 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
503 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
504 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
505 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
506 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
507 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
508 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
509 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078
510 Emacs-10.7                    	0x00000001000f9648 mark_object + 1032
511 Emacs-10.7                    	0x00000001000f9676 mark_object + 1078

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff8e362662 kevent64 + 10
1   libdispatch.dylib             	0x00007fff88fa743d _dispatch_mgr_invoke + 239
2   libdispatch.dylib             	0x00007fff88fa7152 _dispatch_mgr_thread + 52

Thread 2:
0   libsystem_kernel.dylib        	0x00007fff8e361e6a __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff8780ff08 _pthread_wqthread + 330
2   libsystem_pthread.dylib       	0x00007fff87812fb9 start_wqthread + 13

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff8e3619aa __select + 10
1   Emacs-10.7                    	0x0000000100181ac7 -[EmacsApp fd_handler:] + 247
2   com.apple.Foundation          	0x00007fff8748176b __NSThread__main__ + 1318
3   libsystem_pthread.dylib       	0x00007fff8780e899 _pthread_body + 138
4   libsystem_pthread.dylib       	0x00007fff8780e72a _pthread_start + 137
5   libsystem_pthread.dylib       	0x00007fff87812fc9 thread_start + 13

Thread 4:
0   libsystem_kernel.dylib        	0x00007fff8e35da1a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff8e35cd18 mach_msg + 64
2   com.apple.CoreFoundation      	0x00007fff89eab155 __CFRunLoopServiceMachPort + 181
3   com.apple.CoreFoundation      	0x00007fff89eaa779 __CFRunLoopRun + 1161
4   com.apple.CoreFoundation      	0x00007fff89eaa0b5 CFRunLoopRunSpecific + 309
5   com.apple.AppKit              	0x00007fff81a3416e _NSEventThread + 144
6   libsystem_pthread.dylib       	0x00007fff8780e899 _pthread_body + 138
7   libsystem_pthread.dylib       	0x00007fff8780e72a _pthread_start + 137
8   libsystem_pthread.dylib       	0x00007fff87812fc9 thread_start + 13

Thread 5:
0   libsystem_kernel.dylib        	0x00007fff8e361e6a __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff8780ff08 _pthread_wqthread + 330
2   libsystem_pthread.dylib       	0x00007fff87812fb9 start_wqthread + 13

Thread 6:
0   libsystem_kernel.dylib        	0x00007fff8e361e6a __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff8780ff08 _pthread_wqthread + 330
2   libsystem_pthread.dylib       	0x00007fff87812fb9 start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x000000000000000a  rcx: 0x00007fff5fbb05a8  rdx: 0x0000000000000000
  rdi: 0x000000000000e689  rsi: 0x0000000000000006  rbp: 0x00007fff5fbb05d0  rsp: 0x00007fff5fbb05a8
   r8: 0x0000000000000000   r9: 0x000000010253ed08  r10: 0x00007fff8e361896  r11: 0x0000000000000202
  r12: 0x00000001002fc411  r13: 0x000000010584d226  r14: 0x0000000000000006  r15: 0x0000000000000000
  rip: 0x00007fff8e361292  rfl: 0x0000000000000202  cr2: 0x00007fff5fbaee78
  
Logical CPU:     0
Error Code:      0x02000025
Trap Number:     133
Comment 15 Jan Chaloupka 2014-07-28 08:20:34 EDT
Hi, guys,

terminate_due_to_signal is usually the last step before the end of emacs. A lot of execution paths lead to the invocation.

##############################################################################
Josep,
From backtrace:

#456 0x0000000000538136 in Fgarbage_collect () at /usr/src/debug/emacs-24.3/src/alloc.c:5181

gargage collection started. From frame #456 to #21 is a lot of objects to go through in the red-black tree. Thus causing temporal freezing of emacs (my guess)

#21 0x0000000000537702 in mark_object (arg=<optimized out>) at /usr/src/debug
#20 <signal handler called>
#19 0x00000000004f6715 in deliver_process_signal (sig=15, handler=0x4f5680 <handle_fatal_signal>) at /usr/src/debug/emacs-24.3/src/sysdep.c:1580

Then signal 15 (SIGTERM) sent by you.

From my point of view, there was to much data to go through it freezed emacs. From backtrace I can not say what generated so much data. If would be great to have a reproducer. So far, I have not enough information.
##############################################################################
Robin Lee, 
terminate_due_to_signal problem as I posted at the begging of this comment.
##############################################################################
Jean-Loup Tastet,
I am unable to reproduce your steps, ESS installed, after M-p, emacs shows previous commands.
M-x R<enter> displays "Searching for program: no such file or directory, R"
##############################################################################
p.giarrusso+redhatbugzilla@gmail.com,
again, gc situation.
Without more information or backtrace cannot decide what when wrong. Besides, your problem is not Fedora, so I cannot reproduce it.
Comment 16 Jan Chaloupka 2014-07-28 08:24:06 EDT
Without proper reproducer I am unable to analyze this bug. Thus I am closing it for insufficient information. If you manage to provide reproduces, don't hesitate to reopen this bug. If it is possible, please, provide information on all files your emacs open, all configuration and all extensions.

The issue has to be reproducible everytime otherwise it is hard to catch the white rabbit.
Comment 17 Jan Chaloupka 2014-07-29 07:36:35 EDT
Steps to create core with full backtrace information for emacs:

$ cd /tmp

download the latest emacs build from https://jchaloup.fedorapeople.org for your distribution and architecture (wget can be used). Should be always actual release in fedora + 1.
$ wget  https://jchaloup.fedorapeople.org/emacs-24.3-19.fc20.x86_64.rpm

install downloaded rpm, release can vary
# rpm -Uvh emacs-24.3-19.fc20.x86_64.rpm

Then reproduce the issue and upload generated core.

After reproducing, just run
# yum distro-sync emacs
Comment 18 Jan Chaloupka 2014-07-29 07:53:14 EDT
*** Bug 1018047 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.